// Property class

.c-pointer {
    cursor: pointer !important;
}

.c-default {
    cursor: default !important;
}

.c-not-allowed {
    cursor: not-allowed !important;
}

.push {
    &:active {
        transform: $push !important;
    }
}

.no-push {
    &:active { // For element like button that has $push by default
        transform: none !important;
    }
    transform: none;
}

.disabled {
    cursor: not-allowed !important;
}

//
// Neumorphism shadow
//
.n-shadow {
    box-shadow: $neumorphism-shadow !important;
}

//
// Material-design-icons to make it bold icons
//

.mdi-bold {
    text-shadow: 0 1px; // Color inherit
}

